Правила     Закладки     Карма    Календарь    Журналы    Помощь    Поиск    PDA    Чат   
        СМС-ки
   
Пейджер выключен!
 
Фильтр авторов:    показать 
  скрыть
  Ответ в темуСоздание новой темыСоздание опроса

> Установка PHP 5.4 + eAccelerator + PHP 5.3
Kvadrant_#_3  
 ۩  Дата
Цитировать сообщение

Пользователя сейчас нет на форуме



Новичок
*

Профиль
Группа: Пользователь
Сообщений: 12
Пользователь №: 38745
На форуме: 2 года, 10 месяцев, 14 дней
Карма:




Добрый вечер!

На сервере под Debian 7.9 стоят щас PHP 5.4.45 + eAccelerator. А мне надо ещё прикрутить PHP 5.3.21 для старого проекта. Не подскажите как добавить ещё PHP 5.3.21 и прикрутить его к eAccelerator и чтобы сайт заработал под PHP 5.3.21? Спасибо.
PMПисьмо на e-mail пользователю
    0   Для быстрого поиска похожих сообщений выделите 1-2 слова в тексте и нажмите сюда Для быстрой цитаты из этого сообщения выделите текст и нажмите сюда
inpost  
Дата
Цитировать сообщение

Пользователь сейчас на форуме



Помагите Здесь живу!!!
******

Профиль
Группа: Эксперт
Группа переписки
Сообщений: 22694
Пользователь №: 20039
На форуме: 7 лет, 2 дня
Карма: 599




Kvadrant_#_3
А можешь уточнить зачем? На сколько я знаю те же mysql* либы перестали работать с 5.5, а 5.3 и 5.4 почти одинаковы. Зачем тебе откатывать?


--------------------
Обучаю веб-программированию качественно и не дорого: http://school-php.com
Фрилансер, принимаю заказы: PHP, JS, AS (видео-чаты). Писать в ЛС (Личные сообщения на phpforum).
PMПисьмо на e-mail пользователюICQ
    0   Для быстрого поиска похожих сообщений выделите 1-2 слова в тексте и нажмите сюда Для быстрой цитаты из этого сообщения выделите текст и нажмите сюда
Kvadrant_#_3  
 ۩  Дата
Цитировать сообщение

Пользователя сейчас нет на форуме



Новичок
*

Профиль
Группа: Пользователь
Сообщений: 12
Пользователь №: 38745
На форуме: 2 года, 10 месяцев, 14 дней
Карма:




inpost
Доброе утро! Ну, к примеру, в проекте под PHP 5.3.21 у меня есть конструкции вида:


array_push($this->_arrTemplate, &$this->_tags[$value_1]);


То есть загоняю в массив $this->_arrTemplate строку по ссылке. В PHP 5.4.45 такой фокус уже не проходит.
PMПисьмо на e-mail пользователю
    0   Для быстрого поиска похожих сообщений выделите 1-2 слова в тексте и нажмите сюда Для быстрой цитаты из этого сообщения выделите текст и нажмите сюда
inpost  
Дата
Цитировать сообщение

Пользователь сейчас на форуме



Помагите Здесь живу!!!
******

Профиль
Группа: Эксперт
Группа переписки
Сообщений: 22694
Пользователь №: 20039
На форуме: 7 лет, 2 дня
Карма: 599




Kvadrant_#_3
Если я правильно понял, то вот что пишут в документации:
Цитата
Начиная с PHP 5.3.0, вы можете получить предупреждение о том, что передача переменной по ссылке устарела

Уже в 5.3 лезут варнинги, что так делать НЕЛЬЗЯ. В общем, либо подправь эту мелочь, либо ставь просто 5.3


--------------------
Обучаю веб-программированию качественно и не дорого: http://school-php.com
Фрилансер, принимаю заказы: PHP, JS, AS (видео-чаты). Писать в ЛС (Личные сообщения на phpforum).
PMПисьмо на e-mail пользователюICQ
    0   Для быстрого поиска похожих сообщений выделите 1-2 слова в тексте и нажмите сюда Для быстрой цитаты из этого сообщения выделите текст и нажмите сюда
  Быстрый ответ
Информация о Госте
Введите Ваше имя
Кнопки кодов
Для вставки цитаты, выделите нужный текст и
НАЖМИТЕ СЮДА
Введите сообщение
Смайлики
:huh:  :o  ;) 
:P  :D  :lol: 
B)  :rolleyes:  <_< 
:)  :angry:  :( 
:unsure:  :blink:  :ph34r: 
     
Показать всё

Опции сообщения  Включить смайлики?
 Включить подпись?
 
1 Пользователей читают эту тему (1 Гостей и 0 Скрытых Пользователей)
0 Пользователей:

Опции темы Ответ в темуСоздание новой темыСоздание опроса